package com.iamberry.wechat.service.mothMovable;

import com.iamberry.wechat.core.entity.mothMovable.MothPopularity;
import com.iamberry.wechat.face.mothMovable.MothPopularityService;
//import com.iamberry.wechat.service.mapper.MothMovableMapper;
import com.iamberry.wechat.service.mapper.MothPopularityMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  活动生成二维码，关注人数统计接口
 * @author xm
 * @Date 2019-04-25
 */
@Service
public class MothPopularityServiceImpl  implements MothPopularityService {
    @Autowired
    private MothPopularityMapper mothPopularityMapper;

//    @Autowired
//    private MothMovableMapper mothMovableMapper;

    /**
     * 获取集合
     * @param  mothPopularity
     * @return List
     */
    @Override
    public List<MothPopularity> getMothPopularityList(MothPopularity  mothPopularity){
        return  mothPopularityMapper.getMothPopularityList(mothPopularity);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  mothPopularity
     */
    @Override
    public  MothPopularity  getMothPopularityById(Integer  id){
        return  mothPopularityMapper.getMothPopularityById(id);
    }
    /**
     * 增加数据
     * @param  mothPopularity
     * @return Integer
     */
    @Override
    public  Integer  save(MothPopularity  mothPopularity){
        return  mothPopularityMapper.save(mothPopularity);
    }
    /**
     * 修改数据
     * @param  mothPopularity
     * @return Integer
     */
    @Override
    public  Integer  update(MothPopularity  mothPopularity){
        return  mothPopularityMapper.update(mothPopularity);
    }
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    @Override
    public  Integer  delete(Integer  id){
        return  mothPopularityMapper.delete(id);
    }
}
